<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <title>Time tracker · Foundation</title>
  <link rel="stylesheet" href="fontawesome/css/all.css" />
  <link rel="stylesheet" href="dist/css/main.css">
</head>

<body>

  <!-- START Template -->
  <script type="text/template" data-detail>
    {% assign actualProjectObject = projects | where: "id", actualProject | first %}
    {% assign actualClient = clients | where: "id", actualProjectObject.clientId | first %}
    {% assign actualTeam = teams | where: "id", actualProjectObject.teamId | first %}


    <div class="wrapper">

      <!-- START Sidebar -->
      <div class="sidebar-wrapper">

        <ul class="vertical menu">
          <li class="menu-text">
            <h1 class="h4 margin-bottom-0">Time tracker</h1>
          </li>
          <li class="menu-text">
            {% assign activeUser = users | where: "id", options.activeUser | first %}
            <span class="h5 margin-bottom-0">{{ activeUser.name }}</span>
          </li>
          <li> 
            <a href="index.html">
              <i class="fas fa-tachometer-alt"></i>
              Dashboard
            </a>
          </li>
          <li>
            <a href="time.html">
              <i class="far fa-clock"></i>
              Time tracking
            </a>
          </li>
          <li class="is-active">
            <a href="projects.html">
              <i class="fas fa-project-diagram"></i>
              Projects
            </a>
          </li>
          <li>
            <a href="clients.html">
              <i class="fas fa-star"></i>
              Clients
            </a>
          </li>
          <li>
            <a href="teams.html">
              <i class="fas fa-users-cog"></i>
              Teams
            </a>
          </li>
          <li>
            <a href="users.html">
              <i class="fas fa-users"></i>
              Users
            </a>
          </li>
          <li>
            <a href="settings.html">
              <i class="fas fa-cogs"></i>
              Settings
            </a>
          </li>
        </ul>

      </div>
      <!-- END Sidebar-->
  

      <!-- START Main -->
      <div class="main-wrapper">

        <div class="top-bar">
          <div class="top-bar-left">
            <ul class="menu">
              <li>
                <a href="#" class="button secondary" id="js-open-nav">
                  <i class="fas fa-bars"></i>
                  <span>Menu</span>
                </a>
              </li>
            </ul>
          </div>
          <div class="top-bar-right">
            <ul class="menu">
              <li><button type="button" class="button"id="js-logout">Log out</button></li>
            </ul>
          </div>
        </div>
  
        <!-- START Content -->
        <div class="grid-container">

          <div class="flex-container align-middle margin-top-1">
            <h2 class="h2 flex-child-grow">{{ actualProjectObject.name }} - detail</h2>
            <div>
              <a href="../index.html" class="hollow button secondary small">Change framework</a>
              <button class="hollow button secondary small" id="js-load-data">Reset data</button>
            </div>
          </div>
    
          <div>
            <p class="h2">
              <i class="far fa-clock"></i>
              {% assign filteredEntries = entries | where: "projectId", actualProjectObject.id %}
              {{ filteredEntries | totalTime }}
            </p>
          </div>

          <div class="grid-x grid-margin-x">
            <div class="cell medium-6">
              <h3>Project tracker</h3>

              <div>
                <select id="js-entry-filter">
                  {% if special.entryFilter == 0 or special.entryFilter == blank %}
                    <option selected value="0">All members</option>
                  {% else %}
                    <option value="0">All members</option>
                  {% endif %}
                  {% for userId in actualTeam.users %}
                  {% assign user = users | where: "id", userId %}
                    {% if special.entryFilter == user.first.id %}
                      <option selected value="{{ user.first.id }}">{{ user.first.name }}</option>
                    {% else %}
                      <option value="{{ user.first.id }}">{{ user.first.name }}</option>
                    {% endif %}
                  {% endfor %}
                </select>
              </div>

              <div class="grid-x">
                {% assign filteredEntries = entries | where: "projectId", actualProjectObject.id %}
                {% for entry in filteredEntries %}
                  {% if special.entryFilter == 0 or special.entryFilter == blank or special.entryFilter == entry.userId %}
                  <div class="cell">
                    <div class="callout">
                      <div class="flex-container align-middle">
                        <div class="flex-child-grow">                    
                          <h4 class="h5">{{ entry.desc }}</h4>
                          <p class="margin-bottom-0">
                            <small class="margin-right-1">
                              <i class="far fa-clock"></i>
                              {{ entry.startTime | date: "%H:%M" }} - {{ entry.endTime | date: "%H:%M" }} ({{ entry.startTime | timeDiff: entry.endTime }})
                            </small>
                            <small>
                              <i class="far fa-calendar-alt"></i>
                              {{ entry.startTime | date: "%d.%m.%Y" }}
                            </small>
                          </p>
                        </div>
                        <div>
                          {% assign entryUser = users | where: "id", entry.userId %}
                          <button type="button" class="button small secondary margin-bottom-0" data-tooltip tabindex="1" title="{{ entryUser.first.name }}">
                            <i class="fas fa-user"></i>
                          </button>
                        </div>
                      </div>
                    </div>
                  </div>
                  {% endif %}
                {% endfor %}
              </div>

            </div>

            <div class="cell medium-6">
              <h3>Project tasks</h3>

              <div>
                <select id="js-task-filter">
                  {% if special.taskFilter == 0 or special.taskFilter == blank %}
                    <option selected value="0">All members</option>
                  {% else %}
                    <option value="0">All members</option>
                  {% endif %}
                  {% for userId in actualTeam.users %}
                  {% assign user = users | where: "id", userId %}
                    {% if special.taskFilter == user.first.id %}
                      <option selected value="{{ user.first.id }}">{{ user.first.name }}</option>
                    {% else %}
                      <option value="{{ user.first.id }}">{{ user.first.name }}</option>
                    {% endif %}
                  {% endfor %}
                </select>
              </div>

              <div class="grid-x">
                {% assign filteredTasks = tasks | where: "projectId", actualProjectObject.id %}
                {% for task in filteredTasks %}
                  {% if task.status == 0 %}
                  {% if special.taskFilter == 0 or special.taskFilter == blank or special.taskFilter == task.userId %}
                  <div class="cell">
                    <div class="callout">
                      <div class="flex-container align-middle">
                        <div class="flex-child-grow">                    
                          <h4 class="h5">{{ task.name }}</h4>
                          <p class="margin-bottom-0">
                            {{ task.desc }}
                          </p>
                        </div>
                        <div>
                          {% assign taskUser = users | where: "id", task.userId %}
                          <button type="button" class="button small secondary margin-bottom-0" data-tooltip tabindex="1" title="{{ taskUser.first.name }}">
                            <i class="fas fa-user"></i>
                          </button>

                          {% if actualProjectObject.active == 1 %}
                            <button type="button" data-finish-task="{{ task.id }}" class="button small success margin-bottom-0">
                              <i class="fas fa-check"></i>
                            </button>
                            <button type="button" data-delete-task="{{ task.id }}" class="button small alert margin-bottom-0">
                              <i class="fas fa-trash-alt"></i>
                            </button>
                          {% endif %}

                        </div>
                      </div> 
                    </div>
                  </div>
                  {% endif %}
                  {% endif %}
                {% endfor %}
              </div>

              <div>
                {% if actualProjectObject.active == 1 %}
                  <button type="button" class="button" data-open="modal1"><i class="fas fa-plus"></i> New task</button>
                {% else %}
                  <h4>Finished tasks</h4>
                {% endif %}
              </div>

              <div class="grid-x">
                {% for task in filteredTasks %}
                {% if task.status == 1 %}
                {% if special.taskFilter == 0 or special.taskFilter == blank or special.taskFilter == task.userId %}
                  <div class="cell">
                    <div class="callout success">
                      <div class="flex-container align-middle">
                        <div class="flex-child-grow">                    
                          <h4 class="h5">{{ task.name }}</h4>
                          <p class="margin-bottom-0">
                            {{ task.desc }}
                          </p>
                        </div>
                        <div>
                          {% assign taskUser = users | where: "id", task.userId %}
                          <button type="button" class="button small secondary margin-bottom-0" data-tooltip tabindex="1" title="{{ taskUser.first.name }}">
                            <i class="fas fa-user"></i>
                          </button>

                        </div>
                      </div>
                    </div>
                  </div>
                  {% endif %}
                  {% endif %}
                {% endfor %}
              </div>


            </div>
          </div>

          <hr>

          <div class="grid-x grid-margin-x">
            <div class="cell medium-6">
              <h4>Assigned client</h4>
              <div class="callout primary">
                {{ actualClient.name }}
              </div>
            </div>
            <div class="cell medium-6">
              <h4>Project team</h4>
              <div class="callout secondary">
                {{ actualTeam.name }}
              </div>
            </div>
          </div>

          <hr>

          {% if actualProjectObject.active == 1 %}
            <button type="button" class="button warning large" data-finish-project="{{ actualProjectObject.id }}">
              <i class="fas fa-check-double"></i>  Finish project
            </button>      
          {% else %}
            <p class="h2">Project is already finished</p>
          {% endif %}

        </div>
        <!-- END Content -->


      </div>
      <!-- END Main -->
  
    </div>
    <!-- END Wrapper -->

       <!-- START Modal -->
       <div class="small reveal" id="modal1" data-reveal data-reset-on-close="true">
        <h3>New task</h3>
        <form id="js-add-task">
  
          <label>Task name
            <input type="text" placeholder="Task name" name="name" required>
          </label>

          <label>Description
            <input type="text" placeholder="Description" name="desc" required>
          </label>
  
          <label>Users
            <select name="userId" required>
              <option value="" disabled selected hidden>Assign user</option>
              {% for userId in actualTeam.users %}
              {% assign user = users | where: "id", userId %}
                <option value="{{ user.first.id }}">{{ user.first.name }}</option>
              {% endfor %}
            </select>
          </label>

          <input type="hidden" name="projectId" value="{{ actualProjectObject.id }}" required>
  
          <button type="submit" class="button">Add</button>
        </form>
  
        <button class="close-button" data-close aria-label="Close modal" type="button">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <!-- END Modal -->

  </script>
  <!-- END Template -->

  <div id="render">
  </div>

  <script src="dist/js/app.js"></script>
</body>

</html>